Subject: bug#25650: closed (Re: bug#25650: testsuite_bug_regex*_LDADD not defined thus the building of bug-regex* fail if configure with --with-included-regex)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Oct 2017 03:34:02 +0000

Your bug report

#25650: testsuite_bug_regex*_LDADD not defined thus the building of bug-regex* fail if configure with --with-included-regex

which was filed against the sed package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25650: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25650
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25650: testsuite_bug_regex*_LDADD not defined thus the building of bug-regex* fail if configure with --with-included-regex
From: Assaf Gordon <[email-masked]>
To: Juan Manuel Guerrero <[email-masked]>, [email-masked]
Date: Sat, 28 Oct 2017 21:33:34 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On 2017-02-07 12:22 PM, Juan Manuel Guerrero wrote:
> I have tried to build sed-4.4 using DJGPP.  It has been configured using
> --with-included-regex.  Non of the bug-regex*.exe can be build because
> the required libsed.a is not linked to them.

These problematic regex tests were recently removed from sed:
https://git.savannah.gnu.org/cgit/sed.git/commit/?id=97478b089

I'm therefore closing this bug.

regards,
  - assaf

Subject: testsuite_bug_regex*_LDADD not defined thus the building of bug-regex* fail if configure with --with-included-regex
From: Juan Manuel Guerrero <[email-masked]>
To: [email-masked]
Date: Tue, 07 Feb 2017 20:22:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I have tried to build sed-4.4 using DJGPP.  It has been configured using
--with-included-regex.  Non of the bug-regex*.exe can be build because
the required libsed.a is not linked to them.  The reason is that neither
testsuite_bug_regex*_LDADD nor LIBS are set to any usefull value.
testsuite_bug_regex*_LDADD is defined to LDADD but LDADD is not defined
at all and LIBS is also not defined at all.  You do not need DJGPP, I
think it can be checked with cygwin and/or mingw if and only if it is
build with --with-included-regex.  The other special tests have explicitly
set their special *_LDADD to libsed.a so  they build flawlesly.  In the end
you must decide if you still want to support these checks at all.
If more info is needed, please contact me.

Regards,
Juan M. Guerrero